# Class SearchForm<Scope>

#### Type Parameters

- Scope = unknown

#### Implements

- FormType<ISearchForm<Scope>>

- Defined in tree/src/lib/search.form.ts:23

#####
Index

### Constructors

constructor

### Properties

rxapFormGroup
scope
search

## Constructors

### constructor

- new SearchForm<Scope>(): SearchForm<Scope>

- #### Type Parameters

  - Scope = unknown

  #### Returns SearchForm<Scope>

## Properties

### rxapFormGroup

rxapFormGroup: RxapFormGroup<ISearchForm<Scope>, any>

Implementation of FormType.rxapFormGroup

- Defined in tree/src/lib/search.form.ts:25

### scope

scope: RxapFormControl<Record<string, Scope[]>, any, any>

Implementation of FormType.scope

- Defined in tree/src/lib/search.form.ts:31

### search

search: RxapFormControl<string, any, any>

Implementation of FormType.search

- Defined in tree/src/lib/search.form.ts:28